# Uses of Interface
org.opensaml.xacml.policy.ActionType

Packages that use ActionType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of ActionType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type ActionType
Modifier and Type
Method
Description
`List<ActionType>`
ActionsType.`getActions()`
Gets the actions.

## Uses of ActionType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement ActionType
Modifier and Type
Class
Description
`class`
`ActionTypeImpl`
Implementation for `ActionType`.
Fields in org.opensaml.xacml.policy.impl with type parameters of type ActionType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<ActionType>`
ActionsTypeImpl.`action`
List of action types.
Methods in org.opensaml.xacml.policy.impl that return ActionType
Modifier and Type
Method
Description
`ActionType`
ActionTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ActionType`
ActionTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type ActionType
Modifier and Type
Method
Description
`List<ActionType>`
ActionsTypeImpl.`getActions()`
Gets the actions.